### Function

# PangoFc DecoderFindFunc

#### Declaration

    PangoFcDecoder*
    DecoderFindFunc (
      FcPattern* pattern,
      gpointer user_data
    )

#### Description [src]

Callback function passed to `pango_fc_font_map_add_decoder_find_func()`.

#### Parameters

`pattern` | `FcPattern*`
| A fully resolved `FcPattern` specifying the font on the system.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data passed to `pango_fc_font_map_add_decoder_find_func()`

#### Return value

Returns: | `PangoFcDecoder`
| A new reference to a custom decoder for this pattern, or `NULL` if the default decoder handling should be used.
| The data is owned by the called function.